#!/bin/sh

UPDATE_SCRIPT=/home/root/kmcbb_script.sh
UPDATE_TAR=/home/root/kmcbb_rootfs.tar.gz
UPDATE_KERNEL=/home/root/kmcbb.sb
UPDATE_FLAG=/home/root/update_required
UPDATE_RETVAL=0

#check if update tar exists

if [ -e $UPDATE_FLAG ];
then
  rm $UPDATE_FLAG
  echo "Update required"
else 
  exit 0
fi

if [ -f $UPDATE_TAR ];
then
  n=0
  until [ $n -ge 5 ]  
  do
    echo "Notfying user that KMCBB system files are being updated"
    ssh root@10.0.0.2 "/home/root/updater-splash -p -n -a 180 -e 'Updating KMCBB system files' &" &
    echo "sdfsdf";
    [ $? -eq 0 ] && break
    n=$[$n+1]
    echo "sleep"
    sleep 15
  done

  echo "Update tar found"
  tar -zxvf $UPDATE_TAR -C /
  rm $UPDATE_TAR
  UPDATE_RETVAL=1
  sleep 5
else
  echo "Update tar not found"
fi

# check if update script exists

if [ -f $UPDATE_SCRIPT ];
then
  n=0
  until [ $n -ge 5 ]  
  do
    ssh root@10.0.0.2 "/home/root/updater-splash -p -n -a 180 -e 'Running KMCBB update script' &" &
  [ $? -eq 0 ] && break
    n=$[$n+1]
    sleep 15
  done

  echo "Update script found"
  bash $UPDATE_SCRIPT
  rm $UPDATE_SCRIPT
  UPDATE_RETVAL=1
  sleep 5
else
  echo "Update script not found"
fi

# check if update kernel found
if [ -f $UPDATE_KERNEL ];
then
  n=0
  until [ $n -ge 5 ]  
  do
    ssh root@10.0.0.2 "/home/root/updater-splash -p -n -a 180 -e 'Updating KMCBB bootloader' &" &
  [ $? -eq 0 ] && break
    n=$[$n+1]
    sleep 15
  done

  echo "Update kernel found"
  kobs-ng init --chip_0_device_path=/dev/mtd0 -v $UPDATE_KERNEL
  rm $UPDATE_KERNEL
  UPDATE_RETVAL=1
  sleep 5
else
  echo "Update kernel not found"
fi

if [ $UPDATE_RETVAL -eq 1 ];
then
  sync
  sleep 20
  n=0
  until [ $n -ge 5 ]  
  do
    ssh root@10.0.0.2 "/home/root/updater-splash -p -n -a 180 -e 'Update Complete. Remove USB media.' &" &
  [ $? -eq 0 ] && break
    n=$[$n+1]
    sleep 15
  done

  echo "System was updated"
  exit 1
else
  echo "No system updates found"
  exit 0
fi
