#!/bin/sh

dmesg | grep -q "Machine: KMC10 board"

if [ $? -eq 0 ]; then

echo "STARTUP: KMC10"
touch /home/root/kmc10

# need to start devicemanager before enabling usb
/home/root/update-check.sh

RETVAL=$?

if [ $RETVAL -eq 1 ];
then
  echo "System was updated"
  exit 0
else
  echo "System was not updated, continuing startup"
fi
/home/root/AudioService &
/home/root/TunerService --stdout --MODE_LEFT --disable-logging --CLOCK_EXT &
/home/root/UsbMediaService &
/home/root/BluetoothService &
/home/root/SystemService &
/home/root/BatteryMonitorService &
/home/root/RemoteControlService /dev/input/event2 &
/home/root/IpodService -a 127.0.0.1 --stdout --disable-logging &
/home/root/abalta.sh

# enable USB OC
devregs 0x8001C000 0x00A00800

exit 0
fi

dmesg | grep -q "Machine: KMC20 board"
if [ $? -eq 0 ]; then
echo "STARTUP: KMC20"
touch /home/root/kmc20
pppd updetach persist local lock 10.0.0.2:10.0.0.1 /dev/ttySP1 4000000
SYSTEM_UPDATED=0

/home/root/kmc20-update-check.sh

RETVAL=$?

if [ $RETVAL -eq 1 ];
then
  echo "KMC20 was updated"
  SYSTEM_UPDATED=1
else
  echo "KMC20 System was not updated, continuing startup"
fi

/home/root/kmcbb-update-check.sh

RETVAL=$?

if [ $RETVAL -eq 1 ];
then
  echo "KMCBB update found"
  SYSTEM_UPDATED=1
else
  echo "KMCBB update was not found"
fi

if [ $SYSTEM_UPDATED -eq 1 ];
then
  echo "System update"
  exit 0
else
  echo "No updates, continuing startup"
fi

/home/root/SystemService &
/home/root/abalta_kmc20.sh

# enable USB OC
devregs 0x8001C000 0x00A00800

exit 0
fi

dmesg | grep -q "Machine: KMCBB board"
if [ $? -eq 0 ]; then

echo "STARTUP: KMCBB"
touch /home/root/kmcbb
pppd updetach persist local lock 10.0.0.1:10.0.0.2 /dev/ttySP0 4000000

# start device manager before enabling USB
echo 0 > /sys/class/gpio/gpio138/value
/home/root/kmcbb-update.sh

RETVAL=$?

if [ $RETVAL -eq 1 ];
then
  echo "KMCBB was updated"
  exit 0
else
  echo "System was not updated, continuing startup"
fi

/home/root/AudioService 10.0.0.1 &
/home/root/TunerService -a 10.0.0.1 --stdout --MODE_LEFT --CLOCK_EXT --disable-logging &
/home/root/UsbMediaService 10.0.0.1 &
/home/root/BluetoothService 10.0.0.1 &
/home/root/RemoteControlService 10.0.0.1 /dev/input/event0 &
/home/root/SXMService -a 10.0.0.1 --stdout --disable-logging &
/home/root/IpodService -a 10.0.0.1 --stdout --disable-logging &
/home/root/BatteryMonitorService 10.0.0.1 &

# enable USB OC
devregs 0x8001C000 0x01E00800

exit 0
fi

echo "Unknown KMC type"

exit 0

